#include<bits/stdc++.h>
using namespace std;
int n,m,current_m,counter;
int L;
int main()
{
    cin>>L>>m>>n;
    current_m=m;    
    for(L; L>=0; L=L-current_m)
    {
        current_m = current_m + n;
        counter++;
    }
    counter++;
    cout<<counter;
    return 0;
}
